---
apiVersion: v1
kind: Namespace
metadata:
  name: marcus
---
apiVersion: "extensions/v1beta1"
kind: "Deployment"
metadata:
  name: "awesome-app"
  namespace: marcus
  labels:
    app: "awesome-app"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: "awesome-app"
  template:
    metadata:
      labels:
        app: "awesome-app"
    spec:
      containers:
      - name: "awesome-app"
        imagePullPolicy: Always
        image: "gcr.io/xomnia-training/ci-cd-training:latest"
---
apiVersion: "v1"
kind: "Service"
metadata:
  name: "awesome-app-service"
  namespace: marcus
  labels:
    app: "awesome-app"
spec:
  ports:
  - protocol: "TCP"
    port: 80
    targetPort: 8080
  selector:
    app: "awesome-app"
  type: "LoadBalancer"